# Uses of Interface
org.apache.lucene.index.IndexableFieldType

Packages that use IndexableFieldType
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of IndexableFieldType in org.apache.lucene.document

  Classes in org.apache.lucene.document that implement IndexableFieldType
  Modifier and Type
  Class
  Description
  `class`
  `FieldType`
  Describes the properties of a field.
  Fields in org.apache.lucene.document declared as IndexableFieldType
  Modifier and Type
  Field
  Description
  `protected final IndexableFieldType`
  Field.`type`
  Field's type
  Methods in org.apache.lucene.document that return IndexableFieldType
  Modifier and Type
  Method
  Description
  `IndexableFieldType`
  Field.`fieldType()`
  Returns the `FieldType` for this field.
  `IndexableFieldType`
  ShapeDocValuesField.`fieldType()`
  Gets the `IndexableFieldType` for this ShapeDocValue field
  Constructors in org.apache.lucene.document with parameters of type IndexableFieldType
  Modifier
  Constructor
  Description
  ``
  `BinaryPoint(String name, byte[] packedPoint, IndexableFieldType type)`
  Expert API
  ``
  `Field(String name, byte[] value, int offset, int length, IndexableFieldType type)`
  Create field with binary value.
  ``
  `Field(String name, byte[] value, IndexableFieldType type)`
  Create field with binary value.
  ``
  `Field(String name, Reader reader, IndexableFieldType type)`
  Create field with Reader value.
  ``
  `Field(String name, CharSequence value, IndexableFieldType type)`
  Create field with String value.
  ``
  `Field(String name, TokenStream tokenStream, IndexableFieldType type)`
  Create field with TokenStream value.
  `protected`
  `Field(String name, IndexableFieldType type)`
  Expert: creates a field with no initial value.
  ``
  `Field(String name, BytesRef bytes, IndexableFieldType type)`
  Create field with binary value.
  ``
  `FieldType(IndexableFieldType ref)`
  Create a new mutable FieldType with all of the properties from `ref`

- ## Uses of IndexableFieldType in org.apache.lucene.index

  Methods in org.apache.lucene.index that return IndexableFieldType
  Modifier and Type
  Method
  Description
  `IndexableFieldType`
  IndexableField.`fieldType()`
  `IndexableFieldType` describing the properties of this field.